package com.tzld.piaoquan.ad.engine.service.score.convert;

import com.tzld.piaoquan.ad.engine.commons.base.AdRequestContext;
import com.tzld.piaoquan.ad.engine.commons.score.ScoreParam;
import com.tzld.piaoquan.ad.engine.service.score.param.RankRecommendRequestParam;

public class RequestConvert {

    public static ScoreParam requestConvert(RankRecommendRequestParam request){
        AdRequestContext context=new AdRequestContext();
        context.setApptype(request.getAppType().toString());
        context.setMachineinfoBrand(request.getMachineInfo().getBrand());
        context.setMachineinfoModel(request.getMachineInfo().getModel());
        context.setMachineinfoSdkversion(request.getMachineInfo().getSdkVersion());
        context.setMachineinfoWchatversion(request.getMachineInfo().getWeChatVersion());
        ScoreParam scoreParam=new ScoreParam();
        scoreParam.setRequestContext(context);
        return scoreParam;
    }
}
